Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000468TunixDocumentationpublic2011-12-06 19:572012-04-18 13:44
ReporterFred 
Assigned Todandruczyk 
PriorityhighSeveritymajorReproducibilityN/A
StatusassignedResolutionopen 
PlatformAllOSAllOS VersionAll
Product Version0.9.23 
Target VersionASAPFixed in Version 
Summary0000468: Bring website up to date
DescriptionThe sourceforge site here:

http://megatunix.sourceforge.net/ [^]

Is a little out of date "Last Updated Oct 7th 2009" and still references the CVS stuff on SF.net.

It'd be good if that was updated to point at your github account.

It'd also be good if you had a link to the forum section on msextra and not just the threads for various things. It might pay to check that the threads are the correct ones still as well. Ideally docs for the project should be up to date, consider a git repo for the site so others can help keep it modern and perhaps migrate info from threads to it?

The instructions for tuning and general use such as CLI options and other aspects of the app's operation should probably be there in some basic form, or a link to the root docs so that it doesn't fall out of date. Etc.

Lastly, I would recommend deleting the old files out of the CVS master branch or whatever it's called and leaving a README file in its place that directs to github instead. I did something similar here recently:

https://github.com/fredcooke/freeems-tuner [^]

There might be other nice updates to make too such as new functionality and behaviours and other improvements and a list of what is/isn't supported in terms of MS variants etc and how to find out what the latest supported version is, etc.

The above is just some ideas, but the CVS stuff should definitely die. Maybe you can simply take it offline in the sf config?
TagsNo tags attached.
FirmwareVersion
Attached Files

- Relationships

-  Notes
User avatar (0000925)
Fred (administrator)
2011-12-06 20:18

http://forum.diyefi.org/viewtopic.php?f=11&t=1459 [^] Some ideas on docs in general.
(0001079)
dandruczyk (viewer)
2011-12-29 19:44

website minimally refreshed
User avatar (0001469)
Fred (administrator)
2012-04-17 09:30

Some good news: New website: http://www.megatunix.com/ [^]
but the old one is still up too...

With a blog: http://www.megatunix.com/blog/ [^]
that reads various things between the lines...

And a tracker: http://www.megatunix.com/tracker/ [^]
That selfishly forces users to create a second tracker account for FreeEMS issues when this one works flawlessly, and loses a lot of valuable information by not back linking or forward linking...

I guess that's bad news overall.
(0001483)
dandruczyk (viewer)
2012-04-17 16:29

There is nothing stopping you from linking your legacy bugs to the new tracker. Freeems does not own megatunix and it makes sense for it to be decoupled from freeems.. .
User avatar (0001484)
Fred (administrator)
2012-04-17 16:39

FreeEMS doesn't want to own MTX. FreeEMS just wants a reliable cross platform tuning solution with an author who is available and easy (possible?) to work with. If you keep distancing yourself, you'll find that MTX ends up on the back foot just as it is in MS land where it's virtually unused. I'm not far off making a slew of large changes and if you're not available to work with, you'll have a hard time keeping up, in the best case. In the worst case MTX will end up in the same boat as Aaron's python tuner, totally unused (by FreeEMSers). Stop being a drop-kick, Dave! You've got 10 years in your app, it'd be extremely sad to see it be sidelined once again because of your poor attitude and out-of-control, overly-sensitive nature.
(0001485)
dandruczyk (viewer)
2012-04-17 16:44

Use the Official tracker at megatunix.com/tracker and all will be fine. Mtx needs To be constraint free. Using this tracker has too many constraints..
User avatar (0001486)
Fred (administrator)
2012-04-17 16:53

The problem is not with the tracker, Dave; It's with you. The problem has been growing for some time and isn't getting any better despite extensive efforts by many people. You appear to only be interested in fixing generic bugs and prettifying the app, not making the sweeping architectural changes required to properly support more advanced firmware. Indeed, you actively oppose some required functionality. This makes it very difficult to work with you, even when you're not throwing a tanty.

As for constraints on the tracker, there aren't really any. Just that information is not lost, and that due process is followed to ensure consistent quality by peer review. Nothing more or less.
User avatar (0001487)
Compassion (reporter)
2012-04-17 17:12

Regardless of the current issues regarding the development of FreeEMS support in MTX, as a user/tester, this tool is a centerpiece in my motivation for moving forward with my development work. It's also a plus that MTX is a familiar tool to a subset of of the tuning community and this project benefits from that exposure and not a loss to be taken lightly, so please do not let this escalate that far.

I, personally, think it would be in the better interest of the project that a progress is codified, negotiated, and accepted on both sides for the coverage of the implementation of FreeEMS tuning into MTX. Has a framework/API been generally standardized to allow this?
User avatar (0001488)
Fred (administrator)
2012-04-17 17:26

I made a firm decision in January 2008 to not allow anything historic and legacy in any way influence the development direction of the FreeEMS firmware. What that effectively means is that the tuning software authors need to adapt to the requirements of the firmware. Dave has done a lot of work to make MTX compatible, but has always been pretty reluctant about getting it done. Examples off the top of my head are the "over complicated packet architecture" and "moving to git" both of which were hated before and loved afterward. I don't want to, and can not technically, disallow Dave from staying compatible. But to do so effectively, he needs to be on the coal face, and he's not been in #freeems-dev for nearly a month (3 days off). That isn't the behaviour of someone committed to working as a member of a team for the best of the community. I'll welcome Dave back with open arms if he can control his outbursts and allow me to be productive, unlike our past interactions. Otherwise, I'm no longer interested in working closely with him as it is of far too great a cost to everything else in the project. MTX is usable on all three platforms for basic tuning and I have the knowledge to add support for more tuning data pretty easily, thus MTX can and will continue to serve the community without Dave's involvement. No loss there at all. In the longer term, it will be better to create something with a well thought out architecture in an OO language to avoid thousands of lines of worthless boilerplate code. It's no small task to create a piece of software like MTX, however it's not the end of the world, either. Someone will step up at some point, if Dave continues on his down hill spiral.

In summary, if using a different tuning tool is a problem for you, I wish you the best of luck trusting your engine(s) to MegaSquirt or some other aftermarket system.
(0001489)
dandruczyk (viewer)
2012-04-17 18:12

The primary reason for the official tracker being put up at http://megatunix.com/tracker [^] is to have full control, where I am not at the mercy of anyone else who wishes to control, manipulate, or otherwise be an impediment to progress. Any bugs that exist on the freeems issue tracker that you want to have the author examine, should be re-filed on http://megatunix.com/tracker [^] as appropriate. Since the tracker is public you can link to existing bugs if that makes you happy.

The primary reason I stay out of #freeems-dev is for personal stress relief, interacting with the primary freeems firmware author increases it, primarily due to cultural and behvioral incomaptibilities between us, staying away decreases the stress. My personal health ranks far higher than any software development, hence I choose to stay away. The FreeEMS author is encouraged to submit pull requests or file complete and useful bug reports with full/appropriate context, for additional firmware support on an as needed basis.

I am still addressing user issues and communicating with those in need as appropriate, I just choose to do so outside of #freeems-dev where the stress is far lower, and the general culture is far less tense and confrontational.
User avatar (0001490)
Fred (administrator)
2012-04-17 23:02

That's a creative way of wording your motivations for a new tracker :-)

Your reasons for staying away from #freeems-dev are irrelevant. If you're not in the loop, you're not on the loop. If you're not in the loop, you'll lag behind, likely badly. "The FreeEMS author" is not interested in playing games with you.

As stated, for the time being, MTX will do the trick, without your involvement. In the long term, who knows, perhaps something better will pop up.
(0001491)
dandruczyk (viewer)
2012-04-18 01:41

If you wish to keep me in the loop, you can do one of the following:
1. Submit an issue on the official tracker at http://megatunix.com/tracker [^]
2. E-mail me directly
3. Send a carrier pidgeon, though it might get tired flying across the atlantic, be sure to feed it first.
3. Telepathically send your message (hey, it might work...)

I created my issue tracker to get out from under YOUR SHACKLES, plain and simple, if that rubs you the wrong way, I'm sorry you feel that way. Communication goes two ways, and if you feel that I should do all the work (being a slave to #freeems-dev, constantly having to pry tidbits of information from you constantly having to request context since your answers are typically ambiguous at best), you are mistaken. You burned me badly by going over my head in order to turn someone else against me, and then blew me off completely when I requested an apology for that unconscionable behavior. I found that behavior in that respect in particular highly unprofessional, as well as the repeating patterns of manipulative behavior on your part, as indicative of some deep-seated personal issues on your part. It's very unfortunate that your complete and utter unwillingness to put forth any effort (thus reopening a pile of tickets that I had originally created and closed and throwing a fit because you were evidently unable to use a web browser and your eyes to look up the new ticket numbers from the official tracker) Your complete unwillingness to compromise on pretty much anything or work with other people in a equal manner is going to result in extra work for you, and a poorer user experience overall, due to your unwillingness to play nicely. It seems you'll only play if its ONLY by your terms, and your terms only, Sadly the real world doesn't work that way.

I know well that I have my various flaws, that I am passionate and full of emotion at times, but I am at least I am fully willing to admit my faults, and move on.
User avatar (0001492)
Fred (administrator)
2012-04-18 01:47

I'll deal with this nonsense in the morning from a more comfortable typing position. You burned yourself by misinterpreting my actions as something they were not. Now you're trying to pin your beliefs about that on me as though it were fact. Kindly fuck off.
(0001493)
dandruczyk (viewer)
2012-04-18 01:57

Going over someone else's head by calling their significant other to bitch about how the other person is bothering you is insanely inappropriate behavior (At least in the US, maybe it's different in NZ). The fact is that YOU acted like an utter asshat, and are seemingly unable to apologize for it. At least when I act like an utter douche (yes, it has happened more than once) I at least apologize, and feel remorse. Are you incapable of remorse? When you learn to act like an adult, learn to work equally with others without attempting to usurp power from them by whatever means at your disposal, then send me an E-mail.
-- All the best
User avatar (0001494)
Fred (administrator)
2012-04-18 02:02

You're paranoid, and it's sad to see. :-(

I called Tori because I know she knows you best and I thought she could help me help you. I certainly didn't call to complain about you. I didn't call to turn her against you (that would be narcissistic at best). Your interpretation of my attempt to call her is so so so far wrong that it's vaguely upsetting. I'm a genuine and good person, Dave. I'm not out to manipulate you. I never was. You need to let go of these dreamed-up ideas. I can not and will not apologise for something that I didn't do, didn't intend to do, and something that you imagined all by yourself.

I hope you can come to grips with above facts at some point. :-(
(0001495)
dandruczyk (viewer)
2012-04-18 02:14

"help me help you" haha, funny. Unfortunately your call was so unintelligible that neither of us could make much sense of it, but the E-mail's you sent her with excerpts taken out of context was also another inappropriate action to paint me in a bad light. Your issue is with me, not with my significant other. Your crossed a boundary, that should NEVER be crossed. I requested an apology, you still refuse to give one. You see yourself as a "genuine and good person". Ok, then why the "Kindly fuck off", and the general "You will be my bitch on #freeems-dev or I'm gonna stomp my foot" hmm? how is that a good person's behavior? I'm not going to give you the ability to have power over me any longer. It offers only negative value and stress to me, hence why I created my own issue tracker away from your shackles and bullshit, and I generally avoid #freeems-dev, you are confrontational, demeaning, and generally extremely difficult to work with. You are an expert of communicating while leaving out nearly all essential context. You seem to have a complete and utter inability to realize and apologize when you make a mistake. I am not alone in this observation. In terms of coming to grips with facts, take a good long hard look in the mirror and ask yourself, am I really this sweet nice genuine person I claim to be?
User avatar (0001497)
Fred (administrator)
2012-04-18 13:44

I've said what I have to say, and you don't believe me. There, sadly, isn't much that I can do about that. Saying it again won't help, and I doubt reading it again will help you see that it's true. :-(

Why "kindly fuck off" ? Because I was, and am, deeply hurt and upset. You're attacking my character, and for no good reason. You're supposed to be my friend. I hope you're happy with that result. :-(

There is no "You will be my bitch on #freeems-dev or I'm gonna stomp my foot" and never was. I don't want anyone to be my bitch and won't be the bitch of anyone else. I was simply stating the likely outcome of you being disconnected during high-pace dev - lagging behind and being incompatible. Nothing more or less.

I never had power of any kind over you, nor have I ever wanted it. Any power that you perceive me to have had was all in your head. I am, after all, just some guy on the internet, to you, at the end of the day. I can't even begin to imagine what type of power you _think_ that I had.

Unlike you, I'm not insecure, and don't suffer from paranoia or anxiety issues. Thus I find no need to ask myself such questions; I know, exactly, who and what I am.

I wrote all of this message with only my right hand as the two weeks of rest and healing of my left wrist was undone, largely due to you, in a single night, last night. Therefore, to avoid further time wasting and health issues, this tracker is now read-only.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker